html, body {
    overflow: hidden;
}
.alert-danger{ display: none; }
.alert-success{ display: none; }
.spinner{ display: none; }
.main-alert{ display: none; }
.row { margin:0 !important; }
a { text-decoration: none; color: inherit; }
a:hover {
    text-decoration: none;
    color: inherit;
}

.side-nav {
    overflow-y: auto;
    z-index: 4;
    max-height: calc(100vh - 60px);
    transition: all 0.3s ease;
}
.btn-close-nav {
    position: absolute;
    right: 115%;
    top: 55px;
    transition: right 0.2s ease;
    -webkit-transition: right 0.2s ease;
    -moz-transition: right 0.2s ease;
    display: none;
    background: transparent;
    font-size: 2em;
    border: 0;
}

@media (max-width: 767px) {
    .side-nav {
        display: block;
        width: 0;
        position: absolute;
        background-color: #fff;
        transition: all 0.3s ease;
        height: 100%;
        margin-left: -20px;
        min-height: 100vh;
    }
    .side-nav.toggled {
        width: 80%;
        padding: 20px !important;

    }
}

#category-list {
    list-style: none;
    margin:0;
    padding: 0;
}

#category-list li {
    width: 100%;
    transition: background-color 0.2s ease;
    -webkit-transition: background-color 0.2s ease;
    -moz-transition: background-color 0.2s ease;
    text-transform: capitalize;
    border-radius: 0px;
    padding: 10px 10px;
}

.btn-delete, .btn-edit {
    padding: 0 !important;
    min-width: 30px
}

#category-list li:hover {
    cursor: pointer;
    background-color: #8b9fb3;
    color: #fff
}

#category-list li .btn {
    float: right;
    margin-left: 4px
}

.btn-add {
    width: 100%;
    border-radius: 0;
    background-color: transparent;
    border: 0;
    color: #8b9fb3;
    background: #f0f0f0;
    margin: 20px 0;
}
h2 { text-transform: capitalize; }

#gallery {
    height: calc(100vh - 100px);
    overflow-y: auto;
}

@media (max-width: 540px) {
    #gallery { height: calc(100vh - 60px) };
}


#category-title {
    margin-right: auto;
}

.spinner {
    width: 100%;
    height: 100%;
    position: relative;
    margin-right: 50px;
    display: block;
    margin: auto;
    position: absolute;
    top:0;left: 0;
    /*background-color: rgba(0,0,0,0.3);*/
    z-index:1;

}
.spinner:after {
    border-left: 5px solid #c0c0c0;
    border-top: 5px solid #c0c0c0;
    border-right: 5px solid #c0c0c0;
    border-bottom: 5px solid transparent;
    border-radius: 100%;
    position: absolute;
    content: '';
    height: 50px;
    width: 50px;
    left: 0;
    right: 0;
    margin: auto;
    top:0;
    bottom: 0;
    animation: spin 1s  linear infinite;
    -webkit-animation: spin 1s  linear infinite;
    -moz-animation: spin 1s  linear infinite;
    -o-animation: spin 1s  linear infinite;
}

.the-image img{
    width: 100%
}

.btn-back {
    text-align: right;
    width: 100%
}

.list-group-item a, span {
    height: 100%;
    display: inline-block;
}

.list-group-item.active {
    background: #b1cde6;
    border:0;
    color: #000
}

@keyframes spin {
  from {transform: rotate(0deg)}
  to {transform:rotate(360deg);}
}

@-webkit-keyframes spin {
  from {transform: rotate(0deg)}
  to {transform:rotate(360deg);}
}
@-moz-keyframes spin {
  from {transform: rotate(0deg)}
  to {transform:rotate(360deg);}
}
@-o-keyframes spin {
  from {transform: rotate(0deg)}
  to {transform:rotate(360deg);}
}